/*
  Name:    PdResponse.cpp
  Created: 01.06.2016
  Author:  Roman Schönfeld & Daniel Hausherr
*/

/***************************************************************************************************
  This work is licensed under a Creative Commons Attribution 4.0 International (CC BY 4.0) License.

  You are free to:

  Share — copy and redistribute the material in any medium or format
  Adapt — remix, transform, and build upon the material
  for any purpose, even commercially.

  The licensor cannot revoke these freedoms as long as you follow the license terms.

  Under the following terms:

  Attribution — You must give appropriate credit, provide a link to the license, and indicate if
  changes were made. You may do so in any reasonable manner, but not in any way that suggests
  the licensor endorses you or your use.

  No additional restrictions — You may not apply legal terms or technological measures that
  legally restrict others from doing anything the license permits.

  Credits:
  Laboratory for Physics and Illumination Technologies,
  University of Applied Sciences Southern Westfalia
  Germany

  Make Light! Support by the BMBF in the development of this device is gratefully acknowledged
***************************************************************************************************/

#include "PdResponse.h"

void get_bfh_203_characteristic(void *value){
  double counts_mw[(uint8_t)NM_COUNT] = { 
                                            4830.000d,                                          // 785
                                            4386.000d,                                          // 780
                                            4081.000d,                                          // 725
                                            3773.000d,                                          // 700
                                            3279.000d,                                          // 670
                                            3184.000d,                                          // 650
                                            3033.000d,                                          // 632.8
                                            2654.000d,                                          // 605
                                            2124.000d,                                          // 575
                                            1980.000d,                                          // 568
                                            1661.000d,                                          // 550  
                                            1380.000d,                                          // 532
                                            983.000d,                                           // 505
                                            795.000d,                                           // 488
                                            721.000d,                                           // 475
                                            575.000d,                                           // 445
                                            433.000d,                                           // 425
                                            190.000d                                            // 405  
  };

  (*(double*)value) = counts_mw[(unsigned int)current_wavelenght];
}

void get_osd50_characteristic(void *value) {
    double counts_mw[(uint8_t)NM_COUNT] = { 
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d,
                                            1.0d
  };

  (*(double*)value) = counts_mw[(uint8_t)current_wavelenght];
}

